<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="09a05875-6a63-4195-ae84-7390918da8c9" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/src/Form/TextField.php" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/Form/TitleField.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/index.php" beforeDir="false" afterPath="$PROJECT_DIR$/index.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Form/AbstractField.php" beforeDir="false" afterPath="$PROJECT_DIR$/src/Form/AbstractField.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="288230719">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="21" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.open.time.23" value="1" />
          <entry key="project.open.time.25" value="1" />
          <entry key="project.open.time.26" value="1" />
          <entry key="project.open.time.27" value="1" />
          <entry key="project.open.time.28" value="1" />
          <entry key="project.open.time.30" value="3" />
          <entry key="project.open.time.32" value="2" />
          <entry key="project.open.time.33" value="3" />
          <entry key="project.open.time.34" value="1" />
          <entry key="project.open.time.36" value="1" />
          <entry key="project.open.time.39" value="1" />
          <entry key="project.open.time.40" value="1" />
          <entry key="project.open.time.41" value="1" />
          <entry key="project.open.time.5" value="1" />
          <entry key="project.open.time.52" value="1" />
          <entry key="project.opened" value="21" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="gitignore" value="4" />
          <entry key="json" value="2" />
          <entry key="md" value="50" />
          <entry key="php" value="59" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JSON" value="2" />
          <entry key="Markdown" value="50" />
          <entry key="PHP" value="59" />
          <entry key="PLAIN_TEXT" value="4" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="dummy" value="5" />
          <entry key="gitignore" value="45" />
          <entry key="json" value="5" />
          <entry key="php" value="4595" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JSON" value="5" />
          <entry key="PHP" value="4595" />
          <entry key="PLAIN_TEXT" value="50" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.vcs.git.usages">
        <counts>
          <entry key="git.branch.checkout.revision" value="1" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/index.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="75">
              <caret line="5" column="67" selection-start-line="5" selection-start-column="67" selection-end-line="5" selection-end-column="67" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/tasks/Form5.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="FIRST">
              <first_editor relative-caret-position="47">
                <caret line="65" column="60" selection-start-line="64" selection-end-line="66" selection-end-column="67" />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Form/TitleField.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="360">
              <caret line="24" column="34" selection-start-line="24" selection-start-column="34" selection-end-line="24" selection-end-column="34" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Form/AbstractField.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="255">
              <caret line="17" column="44" selection-start-line="17" selection-start-column="44" selection-end-line="17" selection-end-column="52" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Form.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="390">
              <caret line="26" column="31" selection-start-line="26" selection-start-column="31" selection-end-line="26" selection-end-column="31" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Form/HiddenField.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="6" column="41" selection-end-line="27" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tasks/Form4.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="FIRST">
              <first_editor>
                <caret column="58" selection-start-column="9" selection-end-column="65" />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Form_Class.php" />
        <option value="$PROJECT_DIR$/composer.json" />
        <option value="$PROJECT_DIR$/webtests/add_field_test.php" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/Form.php" />
        <option value="$PROJECT_DIR$/webtests/form_test.php" />
        <option value="$PROJECT_DIR$/phpunit/Form/addButton.test.php" />
        <option value="$PROJECT_DIR$/phpunit/Form/addField.test.php" />
        <option value="$PROJECT_DIR$/phpunit/Form/common.test.php" />
        <option value="$PROJECT_DIR$/phpunit/Form/submit.test.php" />
        <option value="$PROJECT_DIR$/phpunit/Form/export.test.php" />
        <option value="$PROJECT_DIR$/src/Form.php" />
        <option value="$PROJECT_DIR$/src/Form/HiddenField.php" />
        <option value="$PROJECT_DIR$/src/Form/TitleField.php" />
        <option value="$PROJECT_DIR$/src/Form/TextField.php" />
        <option value="$PROJECT_DIR$/src/Form/AbstractField.php" />
        <option value="$PROJECT_DIR$/index.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsFlowSettings">
    <service-enabled>true</service-enabled>
    <exe-path />
    <other-services-enabled>true</other-services-enabled>
    <auto-save>true</auto-save>
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpWorkspaceProjectConfiguration" interpreter_name="PHP 7.3">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit-mock-objects" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit-selenium" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds">
    <option name="y" value="213" />
    <option name="width" value="1016" />
    <option name="height" value="499" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State />
          <State>
            <id>DOM issuesJavaScript</id>
          </State>
          <State>
            <id>GeneralJavaScript</id>
          </State>
          <State>
            <id>HTML</id>
          </State>
          <State>
            <id>JavaScript</id>
          </State>
          <State>
            <id>Potentially confusing code constructsJavaScript</id>
          </State>
        </expanded-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="form" type="b2602c69:ProjectViewProjectNode" />
              <item name="form" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="form" type="b2602c69:ProjectViewProjectNode" />
              <item name="form" type="462c0819:PsiDirectoryNode" />
              <item name="docs" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="form" type="b2602c69:ProjectViewProjectNode" />
              <item name="form" type="462c0819:PsiDirectoryNode" />
              <item name="docs" type="462c0819:PsiDirectoryNode" />
              <item name="Form" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="form" type="b2602c69:ProjectViewProjectNode" />
              <item name="form" type="462c0819:PsiDirectoryNode" />
              <item name="phpunit" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="form" type="b2602c69:ProjectViewProjectNode" />
              <item name="form" type="462c0819:PsiDirectoryNode" />
              <item name="phpunit" type="462c0819:PsiDirectoryNode" />
              <item name="Form" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="form" type="b2602c69:ProjectViewProjectNode" />
              <item name="form" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="form" type="b2602c69:ProjectViewProjectNode" />
              <item name="form" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="Form" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="form" type="b2602c69:ProjectViewProjectNode" />
              <item name="form" type="462c0819:PsiDirectoryNode" />
              <item name="tasks" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="preferences.editor" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="09a05875-6a63-4195-ae84-7390918da8c9" name="Default Changelist" comment="" />
      <created>1538550094499</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1538550094499</updated>
      <workItem from="1538550095855" duration="6689000" />
      <workItem from="1538590432312" duration="7898000" />
      <workItem from="1538644120271" duration="7287000" />
      <workItem from="1538676737040" duration="7388000" />
      <workItem from="1538748419804" duration="9836000" />
      <workItem from="1538935658021" duration="3345000" />
      <workItem from="1538939093517" duration="1983000" />
      <workItem from="1538993209544" duration="9853000" />
      <workItem from="1539021384663" duration="4195000" />
      <workItem from="1539035632179" duration="632000" />
      <workItem from="1539070624680" duration="16000" />
      <workItem from="1539195380671" duration="7849000" />
      <workItem from="1539264796333" duration="13989000" />
      <workItem from="1539333842564" duration="7725000" />
      <workItem from="1539343846746" duration="1443000" />
      <workItem from="1539525591107" duration="1795000" />
      <workItem from="1539604078857" duration="6007000" />
      <workItem from="1539702398124" duration="7345000" />
      <workItem from="1539767357722" duration="598000" />
      <workItem from="1539792620201" duration="11030000" />
      <workItem from="1541602181714" duration="40000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="116943000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="213" width="1016" height="499" extended-state="0" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.21177685" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32891247" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32891247" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="9" weight="0.4111406" />
      <window_info active="true" anchor="bottom" id="Terminal" order="10" sideWeight="0.49896693" visible="true" weight="0.41379312" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.50103307" side_tool="true" weight="0.42175066" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" column="6" selection-start-line="1" selection-start-column="6" selection-end-line="1" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Form.php" />
    <entry file="file://$PROJECT_DIR$/webtests/form_test.php" />
    <entry file="file://$PROJECT_DIR$/tasks/Form1.md" />
    <entry file="file://$PROJECT_DIR$/composer.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="2" column="10" lean-forward="true" selection-start-line="1" selection-start-column="3" selection-end-line="4" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/phpunit/Form/all.test.php" />
    <entry file="file://$PROJECT_DIR$/phpunit/Form/setAttribute.test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="615">
          <caret line="41" column="70" selection-start-line="41" selection-start-column="8" selection-end-line="41" selection-end-column="75" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks/Form2.md" />
    <entry file="file://$PROJECT_DIR$/phpunit/Form/common.test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="27" selection-start-line="4" selection-start-column="27" selection-end-line="4" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/phpunit/Form/addButton.test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="7" selection-start-line="7" selection-start-column="4" selection-end-line="9" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks/Form3.md" />
    <entry file="file://$PROJECT_DIR$/phpunit/Form/submit.test.php" />
    <entry file="file://$PROJECT_DIR$/docs/Form/isSubmit.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks/Form8.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/phpunit/Form/addField.test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="645">
          <caret line="43" column="38" selection-start-line="43" selection-start-column="8" selection-end-line="43" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/phpunit/Form/isSubmit.test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="9" column="41" selection-start-line="6" selection-start-column="4" selection-end-line="9" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks/Form6.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor relative-caret-position="1155">
            <caret line="77" column="28" selection-start-line="77" selection-start-column="2" selection-end-line="77" selection-end-column="31" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks/Form4-FormHiddenField.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SECOND">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Form/FieldInterface.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-27" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/phpunit/Form/export.test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="47" column="65" selection-start-line="47" selection-start-column="65" selection-end-line="47" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks/Form7.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/docs/Form.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/docs/Form/Name.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor relative-caret-position="-90" />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/docs/Form/addField.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor relative-caret-position="272">
            <caret line="48" column="36" lean-forward="true" selection-start-line="48" selection-end-line="49" selection-end-column="55" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Form/TextField.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="24" column="63" lean-forward="true" selection-start-line="24" selection-start-column="63" selection-end-line="24" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/docs/Form/addButton.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor relative-caret-position="-823" />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="67" selection-start-line="5" selection-start-column="67" selection-end-line="5" selection-end-column="67" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Form/TitleField.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="24" column="34" selection-start-line="24" selection-start-column="34" selection-end-line="24" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Form/AbstractField.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" column="44" selection-start-line="17" selection-start-column="44" selection-end-line="17" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Form.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="26" column="31" selection-start-line="26" selection-start-column="31" selection-end-line="26" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Form/HiddenField.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="41" selection-end-line="27" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks/Form4.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor>
            <caret column="58" selection-start-column="9" selection-end-column="65" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tasks/Form5.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor relative-caret-position="47">
            <caret line="65" column="60" selection-start-line="64" selection-end-line="66" selection-end-column="67" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
  </component>
</project>